world/fps = 32

client

	perspective = EDGE_PERSPECTIVE

	#ifndef DEBUG
	control_freak = CONTROL_FREAK_ALL
	#endif

	var
		tmp
			interface/interface = null
			input/input = null

	New()
		. = ..()
		interface = new(src)

interface

	var
		tmp
			client/client = null
			screen_width = 0
			screen_height = 0
			window_width = 0
			window_height = 0

			browser_width = 144
			browser_height = 128

			browser_body_style = "padding:0px;margin:0;"

	New(client/c)
		..()

		if(!istype(c, /client)) CRASH("not a client")
		src.client = c

		getScreenSize()
		getWindowSize("main")
		centerWindow("main")

		//winset(client, "main.container", "left=login_browser_screen")

		#ifdef DEBUG
		//winset(client, "debug_output", "is-disabled=false;is-visible=true;pos=0,0;")
		//winset(client, "debug_output.output", "is-default=true;")
		#endif

		if(winexists(client, "map"))
			winset(client, "map", "font-family=courier;")
			winset(client, "map", "icon-size=64;")

	proc/removeMenus(control)
		if(!winexists(client, control)) return
		winset(client, "[control]", "menu=")

	proc/setIconSize(control)
		if(!winexists(client, control)) return
		winset(client, "[control]", "icon-size=64")

	proc/getScreenSize()
		if(!winexists(client, "screen_size")) return
		if(!winexists(client, "screen_size.size_control")) return
		winset(client, "screen_size", "is-maximized=true")
		var/size = winget(client, "screen_size.size_control", "size")
		screen_width = text2num(copytext(size, 1, findtext(size, "x")))
		screen_height = text2num(copytext(size, findtext(size, "x") + 1))
		winset(client, "screen_size", "is-visible=false;is-disabled=true;focus=false")

	proc/getWindowSize(control)
		if(!winexists(client, control)) return
		var/size = winget(client, "[control]", "size")
		window_width = text2num(copytext(size, 1, findtext(size, "x")))
		window_height = text2num(copytext(size, findtext(size, "x") + 1))

	proc/centerWindow(control)
		if(!winexists(client, control)) return
		var/pos_x = (screen_width / 2) - (window_width / 2)
		var/pos_y = (screen_height / 2) - (window_height / 2)
		winset(client, "[control]", "pos=[pos_x],[pos_y]")

	proc/getMapFocus(control)
		if(!winexists(client, control)) return
		winset(client, "[control]", "focus=true")

	proc/setWindowVisible(control, n)
		if(!winexists(client, control)) return
		switch(n)
			if(0)
				winset(client, "[control]", "is-visible=false")
			if(1)
				winset(client, "[control]", "is-visible=true")

	proc/setFocus(control, n)
		if(!winexists(client, control)) return
		switch(n)
			if(0)
				winset(client, "[control]", "focus=false")
			if(1)
				winset(client, "[control]", "focus=true")